Bric::App::Authz(3)

NAME
Bric::App::Authz - Exports functions for checking user authorization.

VERSION
$LastChangedRevision$

DATE
$LastChangedDate: 2006-03-18 01:26:34 +0100 (Sat, 18 Mar 2006) $

SYNOPSIS
  use Bric::App::Authz qw(:all);

  chk_authz($obj, READ);
  # If we get here, we can read $obj.

  chk_authz($obj, EDIT);
  # If we get here, we can edit $obj.

  chk_authz($obj, CREATE);
  # If we get here, we can create $obj.

DESCRIPTION
This package exports the function chk_authz(), which will return true if the current user has permission to perform a given activity to $obj, and redirect to an error page if the user does not have the permission. The permissions available are also exported. They are READ, EDIT, and CREATE. CREATE includes READ and CREATE permissions while EDIT includes READ permission.

INTERFACE

  Constructors
NONE.

  Destructors

$p->DESTROY
    Dummy method to prevent wasting time trying to AUTOLOAD DESTROY.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

  Public Class Methods
NONE.

  Public Functions

my $bool = chk_authz($obj, $permission, $no_redir, @gids)
    Returns true if the current user has the given $permission on $obj, and sends an error page to the browser if the current user does not have $permission on $obj. If $no_redir is true, then the browser won't be redirected, but chk_authz() will return undef. If any group IDs are passed in via @gids, they will be checked as if $obj was a member of those groups.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

PRIVATE

  Private Class Methods
NONE.

  Private Instance Methods
NONE.

  Private Functions
NONE.

NOTES
NONE.

AUTHOR
David Wheeler <david@justatheory.com>

SEE ALSO
Bric, Bric::Biz::Person::User